<?php
##### rrtextplus_descend_helpinc.php, installed by ###TextPlus Charts-French Help, by Robin Richmond
?>
<table id='top' width="100%" border="0" cellpadding="10" cellspacing="2" class="tblback normal">
<tr class="fieldnameback">
	<td class="tngshadow">
		<span class="largeheader">Help: Text+ Descendant Chart </span>
	</td>
</tr>
<tr class="databack">
	<td class="tngshadow" id='overview'>
		<div class='toc'>
		<h3>Table Of Contents</h3>
		<ol type='I'>
			<li><a href='#overview'>The Text+ Descendant Chart</a></li>
			<li><a href='#printing'>Printing a Text+ Chart</a></li>
			<li><a href='#boundary'>Boundary Conditions</a></li>
		</ol>
		</div>
	</td>
</tr>
<tr class="databack">
	<td class="tngshadow" id='overview'>
		<h2>Overview</h2>
		<div class='p'>The Text+ Descendant Chart should look rather familiar, because it has the same overall structure as the outline-format descendant charts produced by essentially all genealogy program. Text+ Charts are distinct</p>
		<ol><li>In that they draw lines from parents to children, and dotted lines between multiple spouses of one person,</li>
			<li>In the amount of data that they can present for each person in the chart,</li>
			<li>In the number of options they have to vary the information in the chart, and</li>
			<li>In the way that they allow users to prune branches of a descendancy tree,
				and print only selected branches.</li>
		</ol>
		</div>
		<div class='p'>
		<b>It is very important that you be aware that, unlike essentially every web page you have seen,
		the Text+ Charts do not automatically wrap to the browser's (or to a printed page's) width.</b>
		The vertical lines at the left side of the page interfere with that wrapping.
		That is, if long lines in the chart wrap to the far left rather than to the indentation level on which
		the line started,
		<ul>
		<li>You <i>may</i> select formatting options that change the chart's contents, font size, and indentation,</li>
		<li>You <i>must</i> select a chart width that matches the browser or printer window, and</li>
		<li>You <i>may</i> fine-tune that width.</li>
		</ul>
		See the <a href="#printing">printing instructions</a> below.
		</div>
	</td>
</tr>
<tr class="databack">
	<td class="tngshadow">
		<div class='p'>
		<h3>Elements that are distinctive to the Text+ Descendant Chart</h3>
		<img src="<?php echo $imagepath; ?>descend_example.jpg">
		<p><a href="descend_example.jpg" onclick="return openHelpImage('<?php echo $imagepath; ?>descend_example.jpg',740,650);">(Open this screen clip in a separate window)</a><p>
		</div>
		<h4 style='color:blue;'>Elements 1-3 - Descendant Chart Controls and Legend</h4>
		<ol class='p'>
		<li>Controls that affect the presence of information in the chart.
			<ol type='a'>
			<li><b>Hide data of living and private people</b>.
				This option is shown <b>only if the user is logged in</b>.
				The intent of this option is to allow users to print charts that can be distributed to people without accounts;
				that is, people who should not see data for living or private individuals that the chart would otherwise show.
				When this option is checked, living and private individuals are treated as though the user were not logged in,
				and are shown with the constraints defined for that specific TNG site
				(e.g. "Living" or just initials instead of the name, no dates and places...).
				<br/>This option defaults to unchecked.</li>
			<li><b>Hide <i>descendants of living</i> and private people</b>.
				The idea here is not to show multiple generations of "Living".
				If you are logged in, then this option is labeled "Hide their descendants", and is disabled unless "Hide data of living and private people" is checked.</li>
			<li><b>Generation #s</b>
				When this option is checked, generation numbers are placed immediately before each name in the chart.
				<a href="descend_gencount.jpg" class='nw tpgencount' 
					onclick="$('.tpgencount').toggle(); return false;">(See an example)</a>
				<a href="descend_gencount.jpg" class='nw tpgencount' style='display:none;'
					onclick="$('.tpgencount').toggle(); return false;">(Hide the example)</a>
				<img src="<?php echo $imagepath; ?>descend_gencount.jpg" class="tpgencount" style='display:none;'></li>
			<li><b>Sibling #s</b>
				This option is disabled unless "Generation #s" is checked.
				Then, when this option is checked,
				the generation #s are followed by the sequential count of children.
				<a href="descend_sibcount.jpg" class='nw tpsibcount'
					onclick="$('.tpsibcount').toggle();return false;">(See an example)</a>
				<a href="descend_sibcount.jpg" class='nw tpsibcount' style='display:none;'
					onclick="$('.tpsibcount').toggle();return false;">(Hide the example)</a>
				<img src="<?php echo $imagepath; ?>descend_sibcount.jpg" class="tpsibcount" style='display:none;'></li>
			<li><b>Date & Place values</b>.
				Clicking on this label drops down a form that lets you control how and whether dates, places, and ages are displayed in the chart. Most of the selections in the the form should be self-explanatory. The ones that aren't self explanatory?... Just try them :-)
				<div><a href="dateplaceoptions.jpg" class='nw tpdateplace'
					onclick="$('.tpdateplace').toggle();return false;">(See the date/place form)</a>
				<a href="dateplaceoptions.jpg" class='nw tpdateplace' style='display:none;'
					onclick="$('.tpdateplace').toggle();return false;">(Hide the date/place form)</a>
				<img src="<?php echo $imagepath; ?>dateplaceoptions.jpg" class="tpdateplace" style='display:none;'></div>
				The "Save" button saves a cookie with all of these settings so that the next time you launch the Text+ Ancestor Chart, it will apply those settings. Of course, if you clicke "Redisplay Chart", the chart will use the current settings, not the ones that have been saved in the cookie.</li>
			</ol></li>
		<li><b>Controls for width, help, and printing</b>
			<ol type='i'>
			<li>The "Width" control affects, well, the width of the chart,
			and is one of the chart program's provisions for handling page width and wrapping.
			By decreasing the Width, or expanding the width of your web browser window,
			you can reduce the occurrence of lines wrapping all the way to the left margin of the chart.</li>
			<li>Two help buttons - one that describes the chart, and one the describes the printing process for both Text+ Charts. </li>
			<li>The "Format for Printing" button. Essentially, whenever you want to <i>print</i>
				a Text+ Chart, you should click this button and use the "Format for Printing"
				page for set up your page width and chart size so that it will print cleanly.
				The Format for Printing proess is described in a <a href='rrtextplus_print_help.php' target='_blank'>separate help file</a></li>
			</ol></li>
		<li><b>The Chart Legend</b>
			<ol type='i'>
			<li><b>Locate Person in Chart</b>
				There is a spyglass next to the name of every person in the chart.
				When you click on the spyglass, a small, focused descendant chart will pop up to show you how the selected person relates to the starting person.
				<a href="descend_locate.jpg" class='nw tplocate'
					onclick="$('.tplocate').toggle();return false;">(See an example)</a>
				<a href="descend_locate.jpg" class='nw tplocate' style='display:none;'
					onclick="$('.tplocate').toggle();return false;">(Hide the example)</a>
				<img src="<?php echo $imagepath; ?>descend_locate.jpg" class="tplocate" style='display:none;'></li>
			<li><b>More Descendants</b>
				This icon will appear to the right of each person who has descendants that could not be displayed because of the generation limit on the chart.
				You can select more generations to expand this chart,
				or click on this icon to display an descendant chart for that person.</li>
			<li><b>Chart "pruning" controls</b>
					<br>Plus and minus signs appear next to every spouse in the chart and allow you to
					remove that spouse's descendants from the chart (i.e. "prune a branch of the tree") or re-display those descendants.
					<ul><li>A boxed minus sign indicates that the couple's children <i>are</i> displayed.
					Clicking the minus sign will hide those children and their descendants.</li>
				<li>A boxed plus sign indicates that the couple's children are hidden.
					Clicking the plus sign will display those children and their descendants.</li>
				<li>An unboxed plus sign marks a spouse with no children.</li>
				</ul>
				A couple of specific examples are shown in the chart screenshot above as part of chart element #5.</li>
			</ol></li>
		</ol>
		<h4 style='color:blue;'>Elements 4-9 - Chart Elements</h4>
		<ol start='4'>
		<li>Immediately below the legend, the chart content starts, not with descendants,
			but with the starting person's parents.
			The presence of the parents provides a little more context for the chart,
			and the hyperlink on each parent's name provides something of a shortcut for 
			"climbing the tree" in case you want to see descendants of an ancestor.
		<li>This box shows several elements of the chart
			<ol type='a'>
			<li>Boxed minus signs for Jenny Greenlee, and later for Sarah McCutcheon indicate that their descendants are visible.</li>
			<li>Unboxed plus signs for William White and Francis Valbert (spouses of Martha Ann Nelson)indicate  that they have no children.</li>
			<li>A boxed plus sign for Sara A Thompson indicates that her descendants have been hidden.</li>
			<li>A solid vertical line connect Jenny Greenlee and Arbuckle Nelson to each of their children, 6 of whom can be seen in this screen clip.</li>
			<li>A short dotted line connects John Morris Nelson's two wives.</li>
			</ol></li>
		<li>If a person's place of death is not known but the place of <i>burial</i> is known,
			then the place of burial is displayed - without the cemetery name.<sup>1</sup></li>
		<li>When a person was born and died in the same place, a shorthand notation displays the placename only once.
		<li>This data at the far left edge of the browser window is representated of Text+ Charts' idiosyncratic inability to properly reformat themselves to width of the web
		browser or printed page, which is the reasona that the Text+ Charts "Format for Printing" page is so important.
			<ul>
			<li>When this condition appears in the browser window, 
				as showing in this screenshot,
				you can change the chart width setting (described as part of #2 above),
				or possibly just make your browser window wider.</li>
			<li>When you are trying to print, this wrapping in the web browser window is probably not important, but when this condition occurs on a printed page or in a print preview, then you need to format the chart using the formaty for Printing page, as described by <a href='rrtextplus_print_help.php' target='blank'>the Text+ Chart Print help page.</a>.</li>
			</ul></li>
		<li>At the very bottom of the chart, a footer displays the information you see here.
			But the Chart Summary you see here is a <i>floating</i> footer that hangs out at the bottom of the web browser window.
			Depending on configuration settings on the website you are visiting,
			the floating footer may be present as soon as the page is loaded,
			it may appear only when you first hide a branch of the chart, or it may stay hidden.
			<br>In the floating footer,
			<ul>
			<li>The little up-arrow jumps to the beginning of the chart.
				If you can already see the beginning of the chart, as in this screen clip, the arrow is not useful,
				but once you get deep inside a long chart, it can be quite handy.</li>
			<li>The X closes the floating footer, but, depending on how the site you are using is configured,
				the floating footer may re-open if you click on one of the plus or minus signs that displays or hides a branch of the chart.</li>
			<li>The count of "visible links to charts that show additional descendants" results from the fact that
				the chart does not necessarily contain all generations of the starting person's descendants.
				If someone in the final generation of the chart has descendants, then an an arrow icon is displayed,
				and serves as a link to that descendant's descendants. 
				The notion of "visible" comes from the fact that some of those descendants and links may be hidden.</li>
			<li>Finally, the number of links that wrap to another line helps produce a representation of total number of lines in the chart.
				In this example, that would be 169 people minus 22 hidden people plus 12 wrapped lines = 159 lines.<sup>2</sup></li>
			</ul>
		</ol>
		Footnotes:
		<ol>
		<li>The program <i>tries to</i> hide the cemetery name,
			but not all cemeteries use the word "Cemetery" in their names,
			so a cemetery named, say "Old Hadley Burying Ground" might slip through.</li>
		<li>Why doesn't the footer just say "# of printed lines"?. Good question. It probably should.</li>
	</td>
</tr>
<tr class="databack">
	<td class="tngshadow" id='printing'>
		<div style="float:right"><a href="#top">Table of Contents</a></div>
		<h2>II. Printing Text+ Charts</h2>
		Because of the line-wrapping limitations mentioned above,
		it is frequently necessary to go through a Format for Printing process to adjust the chart to fit a printed page.
		<br><a href="ancestor_printmenu.jpg"  class='tpprintmenu'
			onclick="$('.tpprintmenu').toggle();return false;">See a screenshot of the Format for Printing window, with the Format for Printing controls.</a>
			<div class='tpprintmenu' style='display:none;'>
				<div><img src="<?php echo $imagepath; ?>descend_printmenu.jpg"></div>
			Note that the set of controls that are labeled "Chart Content" are the same as the ones that are labeled #2 in the Descendant Chart screenshot above.</div>
		<p style='margin-top:1ex;'>
		The printing process is the same for Ancestor and Descendant Text+ charts,
		and is described in <a href='rrtextplus_print_help.php' target='blank'>the Text+ Chart Print help page.</a></p>
	</td>
</tr>
<tr class="databack" id='boundary'>
	<td class="tngshadow">
		<div style="float:right"><a href="#top">Table of Contents</a></div>
		<h2>III. Boundary Conditions</h2>
		(What happens as the number of generations grows and the vertical lines approach the right margin.)
		<p>
		There is no specific limit to the number of generations you can <em>try to</em> print with any given set of parameters,
		though things will start to break down as the vertical lines drawn by the programs approach the right margin.
		Specifically:
		<ol>
		<li>The last generation or two that fits on a line will be wrapped in a small-enough area to make each person's data take several lines to print.
		<li>A person's name is never wrapped, so there is not room on a line for the entire name, the name will wrap to the far-left margin when you print.</li>
		<li>If there are fewer than nine available spaces for data on a line, an error message will be displayed indicating that the data will not fit on the chart with the current print parameters.</li>
		</ol>
		<p>
		If any of these conditions occur, you can simply decrease the indentation or font size, or increase the page width.
		(Or, of course, decrease the number of generations.)</p>
		<p><a href='#'>Table of Contents</a></p>
	</td>
</tr>

</table>

