<?php
##### rrtextplus_print_helpinc.php, installed by ###TextPlus Charts-French Help, by Robin Richmond
?>
<table id='top' width="100%" border="0" cellpadding="10" cellspacing="2" class="tblback normal">
<tr class="fieldnameback">
	<td class="tngshadow">
		<span class="largeheader">Help: Printing Text+ Charts</span>
	</td>
</tr>
<tr class="databack">
	<td class="tngshadow" id='printing'>
		<h2>Printing a TextPlus Chart</h2>
		<div class='p'>
		The "Format for Printing" button in the chart menu is critical for printing Text+ charts because
		<ol>
		<li>It removes the navigation and control menus, which do not contribute to the print-out, and
		<li><b>Unlike essentially every web page you have seen,
		the Text+ Charts do not automatically wrap to the browser's (or to a printed page's) width.</b>
		The vertical lines at the left side of the page interfere with that wrapping.
		That is, if long lines in the chart wrap to the far left rather than to
		the indentation level on which the line started,
			<ul>
			<li>You <i>may</i> select formatting options that change the chart's contents, font size, and indentation,</li>
			<li>You <i>must</i> select a chart width that matches the browser or printer window, and</li>
			<li>You <i>may</i> fine-tune that width.</li>
			</ul></li>
		<li>The Text+ Charts algorithm that computes line width and that wraps lines is not nearly as smart
			as the algorithm built into web browsers.
			It might be consistently high or low for certain page widths,
			so it may be necessary for users to tweak it.</li>
		</ol>
		Fortunately, the Format for Printing settings can be saved in a cookie so that they are available for subsequent printouts.
		</div>

		<h4>The Process</h4>
		Please note that you don't have to perform the following procedue every time you print.
		Once you get a proper printout, you can save your Format for Printing options, 
		which are likely to work fine for your next printout.
		Nonetheless, you should check the format before printing if you change the number of generations by very much.
		(How much? It depends on your data and your print settings.)
		<ol class='p'>
		<li>Click the "Format for Printing" button (or equivalently, the little "Print" icon to the upper right).
			<br>A black-and-white "Format for Printing" page will pop-up.</li>
			<ul>
			<li>The hidden/visible status of each branch in the chart is maintained as in the Format for Printing page,
				and you can continue to hide and expose branches.</li>
			<li>The names of people are not hyperlined in the Format for Printing page,
				and the little icons that are placed next to each name in the main chart window are not present.</li>
			</ul></li>
		<li>Use the Format for Printing controls (see below) to adjust the width of the chart.
			<br>Note that you are adjusting the chart for a <i>printer</i>, not (necessarily) for your web browser window so that lines do not wrap badly on the screen.
			But for wider printouts, you may or may not be able to set your browser window wide enough to accommodate the paper width.</li>
		<li>To see whether the chart fits well on the printer paper without having to do test prints, use your browser's "Print Preview" feature
			and look for lines that wrap all the way to the left margin of the page.
			If no lines wrap, it is still possible that your page width is too small, leaving a larger-than-necessary right margin.
			But, of course, the unwanted wrapping is easier to detect, and is much more important.
			<div class='p'>
			Unfortunately, different web browsers have different ways of invoking and displaying print previews.
			For instance
			<ol>
			<li>In Google Chrome, whenever you hit control-p to print a web page, you'll see a print preview along with the full printer dialog.
				The preview scrolls through a fixed panel to the left of the printer dialog, which never leaves the screen.</li>
			<li>On Firefox, you must select the Options icon
				(which, depending on the version of Firefox, might be a gear wheel or a so-called 'hamburger icon - three horizontal lines)
				and select "Print...".
				There is a partial print dialog at the very top of the preview, and the preview scrolls down much like the web page,
				so that the printer controls scroll off the top of the screen.</li>
			<li>To find out how to do print previews in other web browsers, you may just have to do an Internet search.</li>
			</ol>
			</div>
		<li>Close the print preview and adjust your Format for Printing settings as necessary, and then, finally, when you are satisfied, you can just print the page.</li>
		</ol>
		<p>
		I also like to use the Format for Printing controls and print previews to adjust printouts so that
		they do not start a new page near the very end of the chart.</p>
	
		<h4>The Format for Printing controls</h4>
			<p><img src="<?php echo $imagepath; ?>descend_printmenu.jpg"></p>
		The <b>Format for Printing</b> <i>fieldset</i> appears only in the Format for Printing <i>window</i>,
		and is identical in the Text+ Ancestor and Descendant Chart programs.
		This fieldset contains controls that determined how much space is available on a line.
		<ul class='p'>
		<li>The first four controls are options that determine how much text can fit on one line of the chart:
			<ol>
			<li><b>The Indentation for each generation</b>. The default is 6 characters.</li>
			<li><b>Font size</b>. The default is 9-point type, using the default TNG font.</li>
			<li><b>Page Width</b>. This is the paper width that you expect to print on.
				The four possible values are "Mobile" (about 4 inches) "Portrait", "Landscape",
				and "Legal" (which is really "Legal Landscape").</li>
			<li><b>+/- n characters</b>.
				This fudge factor can be used two extend or shorten the lines of data in the Text+ charts.
				You would use it if you find that, when you print a chart with what should be the right page width,
				some lines are too long and wrap all the way to the left margin,
				or the right margin on the printed page is too wide.
				Two factors outside of the control of the Text+ Chart programs affect the <i>available</i> page width.
				<ol type-'a'>
				<li>Different web browsers can have different default margin settings,
					and computers users (account-holders on a PC) can set their own default margins.</li>
				<li>The fudge factor is useful in adjusting the line length to accommodate European A4 paper,
					which is is little narrower and shorter than USA letter paper.</li>
				</ol>
			<li><b>Line Height</b>.
				Of course, the "Line Height" setting is not about the width of a line, but rather about the separation of the lines.
				If the chart looks too crowded, you might want to change the Line Height.
				However, be aware that the vertical lines are not drawn as continuous graphical lines,
				but rather are vertical line characters in each row.
				If you increase the line height, those vertical line characters may separate,
				resulting in a dashed line rather than a solid line.</li>
				</ol>
			</ol></li>
		<li>The last two controls in the <b>Format for Printing</b> fieldset deal with a persistent cookie that
			saves the values of the four spacing controls so that they can be used the next time a Text+ chart is loaded into a
			<b>Format for Printing</b> window.
			There are separate cookies for Text+ Ancestor and Descendant charts,
			but the two cookies are controlled in exactly the same way.
			<ol start='6'>
			<li><b>Save</b> - Save the cookie immediately.</li>
			<li><b>Clear</b> - Clear the cookie, but do not change the settings immediately.
				The next time a chart is loaded into the Format for Printing window,
				it will use defaults that are set in the website configuration.</li>
			</ol>
			Note also these browser cookies, by their very nature, are associated with a particular user account on the PC
			(not to a user account in TNG), and to a specific web browser.
		</li>
		</ul>

	</td>
</tr>

</table>

